process.env.NODE_ENV = 'development'
process.traceDeprecation = true
const $path = require('path')
const fs = require('fs')
const https = require('https')
const express = require('express')
const util = require('../util')
const proxyMiddleware = require('http-proxy-middleware')
let { userConfig, templates } = require('../config/webpack.config.base')
let serverConfig = require('../config/server.config')
let webpackConfig = require('../config/webpack.config.start')
// let opn = require('opn')
let webpack = require('webpack')
const WebpackDevServer = require('webpack-dev-server');

var os = require('os')

serverConfig = Object.assign({}, serverConfig, userConfig)

webpack(webpackConfig)

const devServerOptions = { ...webpackConfig.devServer, open: true };
const server = new WebpackDevServer(devServerOptions, compiler);

const runServer = async () => {
  console.log('Starting server...');
  await server.start();
};